Skip to content

Get Webhook List

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the webhook list, you can select the number of pages and paging size to get

Method name

ManagementClient.list_webhooks

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, the maximum cannot exceed 50, the default is 1010

Request response

Type: GetWebhooksRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetWebhooksDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 1,
    "list": {
      "webhookId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T02:20:30.000Z",
      "updatedAt": "2022-07-03T02:20:30.000Z",
      "name": "User creation event",
      "url": "https://example.com/callback",
      "contentType": "application/json",
      "enabled": true,
      "events": "[\"user:created\"]",
      "secret": "xxxxxxxxxxxx"
    }
  }
}

Data structure

GetWebhooksData

NameTypeIs it requiredDescriptionSample value
totalCountnumberYesTotal number of records1
listarrayYesReturn list Nested type: <a WebhookDto.

WebhookDto

NameTypeRequiredDescriptionSample value
webhookIdstringYesWebhook ID6229ffaxxxxxxxxcade3e3d9
createdAtstringYesCreation time2022-07-03T02:20:30.000Z
updatedAtstringYesUpdate time2022-07-03T02:20:30.000Z
namestringYesWebhook nameUser created event
urlstringyesWebhook callback addresshttps://example.com/callback
contentTypestringyesRequest data formatapplication/json
enabledbooleanyesEnabledtrue
eventsarraynoUser's real name, not unique. Example value: Zhang San["user:created"]
secretstringnoRequest keyxxxxxxxxxxxx

Agent infrastructure for identity, memory, and web action.